MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022644Community[OCCT] OCCT:Modeling Algorithmspublic2011-07-04 12:162015-05-14 16:23
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0022644: Incorrect result of Boolean operations (Fuse, Cut, Common)
DescriptionPost from the Forum http://www.opencascade.org/org/forum/thread_21067/: [^]
=> all BOPs (fuse, cut and common) of the two attached shapes (torus and a
prism) produce really weird results.
I.e. BOPs produces geometrically incorrect result.
Shapes (TorusAndPrism.zip) are attached.
Script to reproduce the bug:
pload DEFAULT
restore Torus.brep T
restore Prism.brep P
checkshape T
checkshape P
bop T P
bopfuse R
bopcut R
bopcommon R
## all results are geometrically incorrect
TagsNo tags attached.
Test case numberbugs modalg_6 bug22644_1 bug22644_2 bug22644_3
Attached Fileszip file icon TorusAndPrism.zip (23,225 bytes) 2011-07-04 10:16

- Relationships

-  Notes
(0039592)
nbv (developer)
2015-04-10 16:44

Dear Sergei,

The result seems to be valid on the current MASTER (IR-2015-04-06).
(0039595)
abv (manager)
2015-04-10 17:01

Please add a test case
(0039894)
git (administrator)
2015-04-16 15:48

Branch CR22644 has been created by apn.

SHA-1: 6ebf9c69f4d84c45acfe4cb1da67e5ca484699f3


Detailed log of new commits:

Author: apn
Date: Thu Apr 16 15:48:43 2015 +0300

    0022644: Incorrect result of Boolean operations (Fuse, Cut, Common)
    
    Added test cases bugs/modalg_6/bug22644_1 bug22644_2 bug22644_3
(0039895)
apn (administrator)
2015-04-16 15:49

Problem is not reproduced on current state of master.
Test case:
bugs modalg_6 bug22644_1 - OK
bugs modalg_6 bug22644_2 - OK
bugs modalg_6 bug22644_3 - OK
(0040921)
git (administrator)
2015-05-14 16:23

Branch CR22644 has been deleted by inv.

SHA-1: 6ebf9c69f4d84c45acfe4cb1da67e5ca484699f3

- Related Changesets
occt: master 3eac3f55
Timestamp: 2015-04-16 12:48:43
Author: apn
Committer: bugmaster
Details ] Diff ]
0022644: Incorrect result of Boolean operations (Fuse, Cut, Common)

Added test cases bugs/modalg_6/bug22644_1 bug22644_2 bug22644_3
add - tests/bugs/modalg_6/bug22644_1 Diff ] File ]
add - tests/bugs/modalg_6/bug22644_2 Diff ] File ]
add - tests/bugs/modalg_6/bug22644_3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-10-21 16:32 bugmaster Assigned To bugmaster => jgv
2011-10-21 16:32 bugmaster Status acknowledged => assigned
2011-10-21 16:32 bugmaster Resolution suspended => open
2011-10-21 16:32 bugmaster Fixed in Version EMPTY =>
2011-10-21 16:32 bugmaster Description Updated View Revisions
2015-04-10 16:44 nbv Note Added: 0039592
2015-04-10 16:44 nbv Assigned To jgv => szy
2015-04-10 16:44 nbv Status assigned => feedback
2015-04-10 17:01 abv Note Added: 0039595
2015-04-10 17:01 abv Assigned To szy => apn
2015-04-10 17:01 abv Target Version => 6.9.0
2015-04-16 15:48 git Note Added: 0039894
2015-04-16 15:49 apn Note Added: 0039895
2015-04-16 15:50 apn Test case number => bugs modalg_6 bug22644_1 bug22644_2 bug22644_3
2015-04-16 15:50 apn Assigned To apn => bugmaster
2015-04-16 15:50 apn Status feedback => tested
2015-04-17 15:40 bugmaster Changeset attached => occt master 3eac3f55
2015-04-17 15:40 bugmaster Status tested => verified
2015-04-17 15:40 bugmaster Resolution open => fixed
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:31 user533 Fixed in Version => 6.9.0
2015-05-14 16:23 git Note Added: 0040921


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker